EnversListenerDuplicationStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.event
Class EnversListenerDuplicationStrategy

    java.lang.Object
      org.hibernate.envers.event.EnversListenerDuplicationStrategy

All Implemented Interfaces:
  DuplicationStrategy

    public class EnversListenerDuplicationStrategy

extends Object
implements DuplicationStrategy

Event listener duplication strategy for envers

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.event.service.spi.DuplicationStrategy
`DuplicationStrategy.Action`

Field Summary
`static EnversListenerDuplicationStrategy` | `INSTANCE`

Constructor Summary
`EnversListenerDuplicationStrategy()`

Method Summary
`boolean` | `areMatch(Object listener, Object original)` Are the two listener instances considered a duplication?
`DuplicationStrategy.Action` | `getAction()` How should a duplication be handled?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EnversListenerDuplicationStrategy INSTANCE

Constructor Detail

### EnversListenerDuplicationStrategy

    public EnversListenerDuplicationStrategy()

Method Detail

### areMatch

    public boolean areMatch(Object listener,
                            Object original)

  Description copied from interface: `DuplicationStrategy`
  Are the two listener instances considered a duplication?

  Specified by:
    `areMatch` in interface `DuplicationStrategy`
  Parameters:
    `listener` - The listener we are currently trying to register
    `original` - An already registered listener
  Returns:
    true if the two instances are considered a duplication; false otherwise

### getAction

    public DuplicationStrategy.Action getAction()

  Description copied from interface: `DuplicationStrategy`
  How should a duplication be handled?

  Specified by:
    `getAction` in interface `DuplicationStrategy`
  Returns:
    The strategy for handling duplication

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.